// Not a gimmick, but might as well put it here, right?
function A_SLZLightPostInit(actor)
	local bulb = P_SpawnMobj(actor.x, actor.y, actor.z + 248*FRACUNIT, MT_SLZPBLB)
	bulb.angle = actor.angle
	actor.state = S_SLZPOST
	actor.flags = MF_NOTHINK|MF_SCENERY
end

function A_SLZFanInit(actor)
	local base = P_SpawnMobj(actor.x, actor.y, actor.z, MT_SLZFANB)
	base.angle = actor.angle
	P_InstaThrust(actor, actor.angle, FRACUNIT + (FRACUNIT / 2))
	actor.angle = FixedAngle(AngleFixed(actor.angle) - 90*FRACUNIT)
end

function A_SLZHorizontalFanPush(actor)
	if actor.pitch != 0 // Special fan that turns on and off
		actor.cusval = actor.cusval + 1
		if actor.cusval > 120
			if actor.cusval > 240
				actor.cusval = 0
			end
			P_SetMobjStateNF(actor, S_SLZFAN1)
			return
		end
	end
	
	local push = 128 * (AngleFixed(actor.roll)/FRACUNIT)
	
	actor.angle = FixedAngle(AngleFixed(actor.angle) + 90*FRACUNIT)
	if P_LookForPlayers(actor, 256*FRACUNIT + push*FRACUNIT, false, false)
		if actor.target.z <= actor.z + 100*FRACUNIT and actor.target.z >= actor.z
			P_Thrust(actor.target, actor.angle, 3*FRACUNIT)
		end
	end
	actor.angle = FixedAngle(AngleFixed(actor.angle) - 90*FRACUNIT)
end